/*
 * Copyright (c) 2009-2012 LodgON  (http://www.lodgon.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.lodgon.dali.module.forum;


public class Constants {


  public static final int TYPE_PERMISSION_FORUM = 501;

	public static final int FORUM_PERMISSION_ACTION_VIEW = 1;
	public static final int FORUM_PERMISSION_ACTION_CREATE_FORUM = 2;
	public static final int FORUM_PERMISSION_ACTION_CREATE_CATEGORY = 3;
	public static final int FORUM_PERMISSION_ACTION_CREATE_SUBFORUM = 4;
	public static final int FORUM_PERMISSION_ACTION_CREATE_TOPIC = 5;
	public static final int FORUM_PERMISSION_ACTION_CREATE_POST = 6;
  
	public static final int FORUM_PERMISSION_ACTION_DELETE_FORUM = 7;
	public static final int FORUM_PERMISSION_ACTION_DELETE_CATEGORY = 8;
	public static final int FORUM_PERMISSION_ACTION_DELETE_SUBFORUM = 9;
	public static final int FORUM_PERMISSION_ACTION_DELETE_TOPIC = 10;
	public static final int FORUM_PERMISSION_ACTION_DELETE_POST = 11;

	public static final int FORUM_PERMISSION_ACTION_VIEW_RECURSIVE = 21;
	public static final int FORUM_PERMISSION_ACTION_CREATE_FORUM_RECURSIVE = 22;
	public static final int FORUM_PERMISSION_ACTION_CREATE_CATEGORY_RECURSIVE = 23;
	public static final int FORUM_PERMISSION_ACTION_CREATE_SUBFORUM_RECURSIVE = 24;
	public static final int FORUM_PERMISSION_ACTION_CREATE_TOPIC_RECURSIVE = 25;
	public static final int FORUM_PERMISSION_ACTION_CREATE_POST_RECURSIVE = 26;
 	public static final int FORUM_PERMISSION_ACTION_DELETE_FORUM_RECURSIVE = 27;
	public static final int FORUM_PERMISSION_ACTION_DELETE_CATEGORY_RECURSIVE = 28;
	public static final int FORUM_PERMISSION_ACTION_DELETE_SUBFORUM_RECURSIVE = 29;
	public static final int FORUM_PERMISSION_ACTION_DELETE_TOPIC_RECURSIVE = 30;
	public static final int FORUM_PERMISSION_ACTION_DELETE_POST_RECURSIVE = 31;
  
}
