/*
 * Copyright (c) 2009-2012 LodgON  (http://www.lodgon.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.lodgon.dali.module.forum.entity;

import com.lodgon.dali.core.entity.Content;
import javax.persistence.Entity;
import javax.persistence.Transient;

/**
 *
 * @author johan
 */
@Entity
public class Topic extends Content {
  
  @Transient
  private Subforum subforum;
  @Transient
  private Category category;
  @Transient
  private Forum forum;

  /**
   * @return the subforum
   */
  public Subforum getSubforum() {
    return subforum;
  }

  /**
   * @param subforum the subforum to set
   */
  public void setSubforum(Subforum subforum) {
    this.subforum = subforum;
  }

  /**
   * @return the category
   */
  public Category getCategory() {
    return category;
  }

  /**
   * @param category the category to set
   */
  public void setCategory(Category category) {
    this.category = category;
  }

  /**
   * @return the forum
   */
  public Forum getForum() {
    return forum;
  }

  /**
   * @param forum the forum to set
   */
  public void setForum(Forum forum) {
    this.forum = forum;
  }

}
